#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.3.0
id: foldl-1.3.0-LlHPkE5iGmH66qtSdqJLo5
key: foldl-1.3.0-LlHPkE5iGmH66qtSdqJLo5
license: BSD3
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
author: Gabriel Gonzalez
exposed: True
indefinite: False
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
hidden-modules: Control.Foldl.Internal
abi: 6d5eddf6b320081945a6398d3d0f5c29
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/foldl-1.3.0
library-dirs: /usr/lib/ghc-8.2.1/site-local/foldl-1.3.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/foldl-1.3.0
hs-libraries: HSfoldl-1.3.0-LlHPkE5iGmH66qtSdqJLo5
depends:
    base-4.10.0.0 bytestring-0.10.8.2
    mwc-random-0.13.6.0-9isDaETTkAQ4w6DSIRGQbB
    primitive-0.6.2.0-V0ibjLQDdN6fcQS5bjLVg
    text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz transformers-0.5.2.0
    vector-0.12.0.1-CnPH69pDwM4A5esizlXfXi containers-0.5.10.2
    unordered-containers-0.2.8.0-KL4HUdwCmhYBQDTvY5v0GN
    hashable-1.2.6.1-5D85BzUWIsjDNuFvtLMWyk
    contravariant-1.4-1lqq0vqix8Y43XZ7Q5hTLe
    profunctors-5.2.1-tcGHrJuwpB2Qib1uMFFo0
    comonad-5.0.2-AAFyIh6Dm39islDxts6T3
    vector-builder-0.3.1-HanlXD6nyUvA60lZKJcNL8
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             bytestring-0.10.8.2=db54a9a10f4b3abcd860c80f928b2ae9
             mwc-random-0.13.6.0-9isDaETTkAQ4w6DSIRGQbB=2bc42ccbc5907c6a67bc15ff0ea72d9c
             primitive-0.6.2.0-V0ibjLQDdN6fcQS5bjLVg=9e7c576cd5d0cdeef0c68dbf576c880f
             text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz=b7786dac6fdbd4e62fbcd8f2e5703783
             transformers-0.5.2.0=c9bb94e07e5a6cae97f4e7452aafbf8b
             vector-0.12.0.1-CnPH69pDwM4A5esizlXfXi=bde86a27d0899b74a82f3bf1fe9b817c
             containers-0.5.10.2=e51b78cedb073051e10b1c1314421145
             unordered-containers-0.2.8.0-KL4HUdwCmhYBQDTvY5v0GN=7d7e1f3460b904c0be93ffa55855f4d0
             hashable-1.2.6.1-5D85BzUWIsjDNuFvtLMWyk=c277093fa16e707f51e09b45510f1326
             contravariant-1.4-1lqq0vqix8Y43XZ7Q5hTLe=6ad8f06d2a954a3785058f9dadfcb436
             profunctors-5.2.1-tcGHrJuwpB2Qib1uMFFo0=19db51b7ef0cb6fa8e674391c0446c14
             comonad-5.0.2-AAFyIh6Dm39islDxts6T3=c6d24660cfb0bb620d495558f3d3543d
             vector-builder-0.3.1-HanlXD6nyUvA60lZKJcNL8=15e9d9e4c9934985d9e0c0ea3c8a0e0b
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

